Skip to main content
GET
/
email
/
messages
/
search
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.email.messages.search({});

  console.log(result);
}

run();
curl --request GET \
--url https://api.crevio.co/v1/email/messages/search \
--header 'Authorization: <api-key>'
import requests

url = "https://api.crevio.co/v1/email/messages/search"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.crevio.co/v1/email/messages/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "object": "<string>",
      "id": "<string>",
      "thread_id": "<string>",
      "inbox_id": "<string>",
      "message_id": "<string>",
      "in_reply_to": "<string>",
      "references": [
        "<string>"
      ],
      "from": "<string>",
      "to": "<array>",
      "cc": "<array>",
      "bcc": "<array>",
      "reply_to": "<string>",
      "subject": "<string>",
      "preview": "<string>",
      "labels": [
        "<string>"
      ],
      "delivery": {},
      "attachments": "<array>",
      "text": "<string>",
      "html": "<string>",
      "timestamp": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "url": "<string>"
}
{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}
{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

query
string

Search query

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

Messages

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string